package com.boman.jflow.api;

import com.alibaba.fastjson.JSONObject;
import com.boman.common.core.constant.ServiceNameConstants;
import com.boman.domain.dto.ProcessDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author shiqian
 * @date 2021年05月26日 15:09
 **/
@FeignClient(contextId = "remoteJflowService", value = ServiceNameConstants.JFLOW_SERVICE)
public interface RemoteJflowService {

    @PostMapping(name = "/jflow/p/cs/process/launch")
    JSONObject createProcess(@RequestBody ProcessDto dto);
}
